<?php
function get_psa_modify_hash() {
	$parameters = array();
	$parameters['@@BASE_URL_PATH@@'] = rtrim(getenv('BASE_URL_PATH'), '/');
	return $parameters;
}

function get_db_type($db_id) {
	return getenv("DB_${db_id}_TYPE");
}

function get_db_name($db_id) {
	return getenv("DB_${db_id}_NAME");
}

function get_db_login($db_id) {
	return getenv("DB_${db_id}_LOGIN");
}

function get_db_password($db_id) {
	return getenv("DB_${db_id}_PASSWORD");
}

function get_db_prefix($db_id) {
	if (getenv("DB_${db_id}_PREFIX") !== false) {
		return getenv("DB_${db_id}_PREFIX");
	} else {
		return '';
	}
}

function get_db_host($db_id) {
	return getenv("DB_${db_id}_HOST");
}

function get_db_port($db_id) {
	return getenv("DB_${db_id}_PORT") ?: null;
}

function get_db_modify_hash($db_ids) {
	$parameters = array();
	foreach ($db_ids as $db_id) {
		$parameters["@@DB_" . strtoupper($db_id) . "_PREFIX@@"] = get_db_prefix($db_id);
	}

	return $parameters;
}

function get_web_dir($web_id) {
	$web_id_parameter = str_replace("/", "_", $web_id);
	return getenv("WEB_${web_id_parameter}_DIR");
}

function is_linux() {
	$pwd = getcwd();
	if (preg_match("/:/", $pwd)) {
		return 0;
	}
	return 1;
}